#!/bin/ksh

# ==================================================================== #
# Author: Sonia Labetoulle                                             #
# Contact: sonia.labetoulle _at_ ipsl.jussieu.fr                       #
# Created: September 3 2015                                            #
# History:                                                             #
# Modification:                                                        #
# ==================================================================== #

echo "Saving cpt info on $( date )"
echo "========================================================================"

date_amj=$( \
  cpt | grep "mise a jour" | \
  gawk '{ print $6 }' | \
  gawk -F"/" '{ print $3$2$1 }' \
)
echo "date_amj = >${date_amj}<"

date_hm=$( \
  cpt | grep "mise a jour" | \
  gawk '{ print $7 }' | \
  gawk -F":" '{ print $1$2 }' \
)
echo "date_hm  = >${date_hm}<"

echo "========================================================================"

local_dir="data"
# remote_dir="/data/slipsl/ConsoGENCI"
remote_dir="/home_local/slipsl/ConsoGENCI/data/idris/tmp"
remote_login="slipsl"
# remote_host="ciclad.ipsl.jussieu.fr"
remote_host="pc-236"
bounce_host="calcul2.ipsl.jussieu.fr"
bounce_login=${remote_login}

echo "local_dir    = >${local_dir}<"
echo "remote_dir   = >${remote_dir}<"
echo "remote_login = >${remote_login}<"
echo "remote_host  = >${remote_host}<"
echo "bounce_host  = >${bounce_host}<"
echo "bounce_login = >${bounce_login}<"

local_fileout="compta_${date_amj}_${date_hm}.dat"
remote_fileout="cpt_idris_rgzi_${date_amj}_${date_hm}.dat"

echo ""
echo "local_fileout  = >${local_fileout}<"
echo "remote_fileout = >${remote_fileout}<"

ssh_options="-T -ax -o ClearAllForwardings=yes -c blowfish"

echo ""
echo "ssh_options = >${ssh_options}<"

echo "========================================================================"

if [ -f "${local_dir}/${local_fileout}" ] ; then
  echo "         !!!!!         Local file already exists.         !!!!!         "
  echo "========================================================================"
fi

set -vx

cpt > ${local_dir}/${local_fileout}

rsync -va -e "ssh ${ssh_options} ${bounce_login}@${bounce_host} ssh ${ssh_options}" \
             ${local_dir}/${local_fileout} \
             ${remote_login}@${remote_host}:${remote_dir}/${remote_fileout}

set +vx

echo "========================================================================"
echo "Step ended on $( date )"

